net.sf.okapi.lib.xliff2

## Class XLIFFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.lib.xliff2.XLIFFException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InvalidMarkerOrderException, InvalidPositionException, XLIFFReaderException

      public class XLIFFException
      extends java.lang.RuntimeException

  Base exception for all XLIFF-library exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLIFFException(java.lang.String text)` Creates a new exception with a given text.
    `XLIFFException(java.lang.String message, java.lang.Throwable cause)` Creates a new exception with a given message and a given parent exception cause.
    `XLIFFException(java.lang.Throwable e)` Creates a new exception with a given parent exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XLIFFException

          public XLIFFException(java.lang.String text)

      Creates a new exception with a given text.
      Parameters:
        `text` - Text to go with the new exception.

    - #### XLIFFException

          public XLIFFException(java.lang.Throwable e)

      Creates a new exception with a given parent exception.
      Parameters:
        `e` - The parent exception.

    - #### XLIFFException

          public XLIFFException(java.lang.String message,
                        java.lang.Throwable cause)

      Creates a new exception with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.